package com.ruoyi.mall.service;

import java.util.List;
import com.ruoyi.mall.domain.MallMemberRate;

/**
 * 用户录取率Service接口
 * 
 * @author ruoyi
 * @date 2024-07-13
 */
public interface IMallMemberRateService 
{
    /**
     * 查询用户录取率
     * 
     * @param rateId 用户录取率主键
     * @return 用户录取率
     */
    public MallMemberRate selectMallMemberRateByRateId(Long rateId);

    /**
     * 查询用户录取率列表
     * 
     * @param mallMemberRate 用户录取率
     * @return 用户录取率集合
     */
    public List<MallMemberRate> selectMallMemberRateList(MallMemberRate mallMemberRate);

    /**
     * 新增用户录取率
     * 
     * @param mallMemberRate 用户录取率
     * @return 结果
     */
    public int insertMallMemberRate(MallMemberRate mallMemberRate);

    /**
     * 修改用户录取率
     * 
     * @param mallMemberRate 用户录取率
     * @return 结果
     */
    public int updateMallMemberRate(MallMemberRate mallMemberRate);

    /**
     * 批量删除用户录取率
     * 
     * @param rateIds 需要删除的用户录取率主键集合
     * @return 结果
     */
    public int deleteMallMemberRateByRateIds(Long[] rateIds);

    /**
     * 删除用户录取率信息
     * 
     * @param rateId 用户录取率主键
     * @return 结果
     */
    public int deleteMallMemberRateByRateId(Long rateId);
}
